Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class JBandControlPanel.ControlPanelGroup

java.lang.Object
org.pushingpixels.flamingo.internal.ui.ribbon.JBandControlPanel.ControlPanelGroup

Enclosing class:
  `JBandControlPanel`

public static class JBandControlPanel.ControlPanelGroup extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`groupTitle`

## Constructor Summary

Constructors
Constructor
Description
`ControlPanelGroup(String groupTitle)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCommandButton(AbstractCommandButton ribbonButton, RibbonElementPriority priority)`
Adds a new ribbon button to `this` control panel.
`void`
`addRibbonComponent(JRibbonComponent comp, int rowSpan)`
`void`
`addRibbonGallery(JRibbonGallery ribbonGallery, RibbonElementPriority priority)`
Adds a new in-ribbon gallery to `this` control panel.
`String`
`getGroupTitle()`
`List<AbstractCommandButton>`
`getRibbonButtons(RibbonElementPriority priority)`
Retrieves all ribbon buttons of specified priority from `this` control panel.
`List<JRibbonComponent>`
`getRibbonComps()`
`Map<JRibbonComponent,Integer>`
`getRibbonCompsRowSpans()`
`List<JRibbonGallery>`
`getRibbonGalleries(RibbonElementPriority priority)`
Retrieves all in-ribbon galleries of specified priority from `this` control panel.
`int`
`getRibbonGalleriesCount()`
Returns the number of in-ribbon galleries in `this` control panel.
`boolean`
`hasRibbonGalleries()`
Returns indication whether `this` control panel has in-ribbon galleries.
`boolean`
`isCoreContent()`
`void`
`setGroupTitle(String newTitle)`
`void`
`setPriority(JCommandButton ribbonButton, RibbonElementPriority newPriority)`
Sets new priority of a ribbon button in `this` control panel.
`void`
`setPriority(JRibbonGallery ribbonGallery, RibbonElementPriority newPriority)`
Sets new priority of an in-ribbon gallery in `this` control panel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### groupTitle

public String groupTitle

## Constructor Details

### ControlPanelGroup

public ControlPanelGroup(String groupTitle)

## Method Details

### getGroupTitle

public String getGroupTitle()

### setGroupTitle

public void setGroupTitle(String newTitle)

### isCoreContent

public boolean isCoreContent()

### addCommandButton

public void addCommandButton(AbstractCommandButton ribbonButton, RibbonElementPriority priority)
Adds a new ribbon button to `this` control panel.

Parameters:
  `ribbonButton` - Ribbon button to add.
  `priority` - Ribbon button priority.

### addRibbonGallery

public void addRibbonGallery(JRibbonGallery ribbonGallery, RibbonElementPriority priority)
Adds a new in-ribbon gallery to `this` control panel.

Parameters:
  `ribbonGallery` - Ribbon gallery to add.
  `priority` - Ribbon gallery priority.

### setPriority

public void setPriority(JCommandButton ribbonButton, RibbonElementPriority newPriority)
Sets new priority of a ribbon button in `this` control panel.

Parameters:
  `ribbonButton` - Gallery button.
  `newPriority` - New priority for the specified ribbon button.

### setPriority

public void setPriority(JRibbonGallery ribbonGallery, RibbonElementPriority newPriority)
Sets new priority of an in-ribbon gallery in `this` control panel.

Parameters:
  `ribbonGallery` - In-ribbon gallery.
  `newPriority` - New priority for the specified in-ribbon gallery.

### addRibbonComponent

public void addRibbonComponent(JRibbonComponent comp, int rowSpan)

### getRibbonButtons

public List<AbstractCommandButton> getRibbonButtons(RibbonElementPriority priority)
Retrieves all ribbon buttons of specified priority from `this` control panel.

Parameters:
  `priority` - Priority.
Returns:
  All ribbon buttons of specified priority from `this` control panel.

### getRibbonGalleries

public List<JRibbonGallery> getRibbonGalleries(RibbonElementPriority priority)
Retrieves all in-ribbon galleries of specified priority from `this` control panel.

Parameters:
  `priority` - Priority.
Returns:
  All in-ribbon galleries of specified priority from `this` control panel.

### hasRibbonGalleries

public boolean hasRibbonGalleries()
Returns indication whether `this` control panel has in-ribbon galleries.

Returns:
  `true` if `this` control panel has in-ribbon galleries, `false` otherwise.

### getRibbonGalleriesCount

public int getRibbonGalleriesCount()
Returns the number of in-ribbon galleries in `this` control panel.

Returns:
  Number of in-ribbon galleries in `this` control panel.

### getRibbonComps

public List<JRibbonComponent> getRibbonComps()

### getRibbonCompsRowSpans

public Map<JRibbonComponent,Integer> getRibbonCompsRowSpans()